Bug 142943 - Bad: nmdb crash
Bad: nmdb crash
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-12-15 03:32 EST by Joni Bäcklund
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.24-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-14 11:43:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joni Bäcklund 2004-12-15 03:32:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041109 Firefox/1.0

Description of problem:
The nmbd daemon segfaults when it is set up as a wins proxy.. 

Version 3.0.9 of samba update rpm for FC3..

I just upgraded our servers from RH9 to FC3 and found out that
the other server that is running as a wins proxy will not answer
to the nmblookup after about 20 second.. 

The problem seems to be that the nmbd gets signal 11.. 

The same setup works nicely if I just remove the 
wins proxy = on line from the setup..

Before upgrade I had 3.0.9 rpm for RH9 on this machine with 
exactly same setup and it has been running for months without

here is the dump from nmbd

INTERNAL ERROR: Signal 11 in pid 17484 (3.0.9-1.fc3)
Please read the appendix Bugs of the Samba HOWTO collection
PANIC: internal error
BACKTRACE: 16 stack frames:
 #0 nmbd(smb_panic2+0x8a) [0x1eef3a]
 #1 nmbd(smb_panic+0x19) [0x1ef167]
 #2 nmbd [0x1da789]
 #3 /lib/tls/libc.so.6 [0x49aa48]
 #4 /lib/tls/libc.so.6 [0x4d475d]
 #5 /lib/tls/libc.so.6(malloc+0x81) [0x4d61e1]
 #6 nmbd(Realloc+0x95) [0x1edc1f]
 #7 nmbd(convert_string_allocate+0x3d4) [0x1d8023]
 #8 nmbd(push_ucs2_allocate+0x52) [0x1d8292]
 #9 nmbd(push_ascii_nstring+0x30) [0x1d87e9]
 #10 nmbd [0x196676]
 #11 nmbd(find_workgroup_on_subnet+0x31) [0x196780]
 #12 nmbd(sync_all_dmbs+0x45) [0x180039]
 #13 nmbd(main+0x642) [0x17bf4f]
 #14 /lib/tls/libc.so.6(__libc_start_main+0xe3) [0x487e33]
 #15 nmbd [0x17a5b1]

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. setup one samba server as wins server
2. set another server as a wins proxy and point the wins server
address to the server you have set samba wins server
3. start samba on both servers

Actual Results:  nmbd gets signall 11 and dies..

Additional info:
Comment 1 Dmitry Butskoy 2005-03-04 13:06:41 EST
  The same for me, on current FC3`s samba-3.0.10-1.fc3 .

  Similar "panic" report was produced immediately after fc1->fc3 upgrade.
  When I clear /var/cache/samba/* files, the "panic" is go away, but
the problem still exist -- see #144865
Comment 2 Dmitry Butskoy 2005-08-10 12:14:56 EDT
  IMHO this is a dublicate of bug #144865
Comment 3 Matthew Miller 2006-07-10 19:27:32 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Dmitry Butskoy 2007-02-16 09:08:57 EST
Actually, it is fixed since 3.0.14a ...
Comment 5 Simo Sorce 2007-03-14 11:43:01 EDT
Closing as it is fixed

Note You need to log in before you can comment on or make changes to this bug.